Fedora Online Forum

Il forum della comunità italiana di Fedora

#1 21-10-2019 08:24:43

skiava
Fedora nel sangue
Da Bari
Registrato: 23-05-2007
Messaggi: 1'946

[risolto] pacchetti obsoleti di versioni precedenti di Fedora

Ciao a tutti, ho constatato che ho pacchetti obsoleti delle versioni precedenti di fedora ovvero di seguito l'output di:

[[email protected] /]$ uname -r
5.3.6-200.fc30.x86_64
[[email protected] /]$ rpm -qa|grep fc30 |wc -l
2289
[[email protected] /]$ rpm -qa|grep fc29 |wc -l
10
[[email protected] /]$ rpm -qa|grep fc28 |wc -l
1
[[email protected] /]$ rpm -qa|grep fc27 |wc -l
0
[[email protected] /]$ 

ovvero ci sono 10 pacchetti di fedora 29 ed uno di fedora 28...
cosa mi suggerite di fare?

garzie in anticipo a chi mi risponde.

Ultima modifica di skiava (28-10-2019 08:59:05)


L I N U X - coming soon on every computer!!

Non in linea

#2 21-10-2019 18:40:41

edmondo
Innamorato del forum
Registrato: 14-08-2012
Messaggi: 808

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

Posta il comando :

rpm -qa | grep fc29

smile


{Fedora 16/17/18/19/20/21/22/23/24/25/26/27/28/29/30/31 gnome x86_64}

Non in linea

#3 22-10-2019 07:53:47

skiava
Fedora nel sangue
Da Bari
Registrato: 23-05-2007
Messaggi: 1'946

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

Ciao, di seguito l'output di:

[[email protected] yum.repos.d]$ rpm -qa | grep fc29
fwupdate-libs-11-4.fc29.x86_64
telepathy-logger-0.8.2-8.fc29.x86_64
beignet-1.3.2-5.fc29.x86_64
fwupdate-efi-11-4.fc29.x86_64
pinfo-0.6.10-20.fc29.x86_64
mozilla-adblockplus-2.9.1-4.fc29.noarch
python3-tempita-0.5.1-20.fc29.noarch
pyPdf-1.13-16.fc29.noarch
tabish-eeyek-fonts-1.0-13.fc29.noarch
libkate-0.4.1-15.fc29.x86_64
[[email protected] yum.repos.d]$ 

L I N U X - coming soon on every computer!!

Non in linea

#4 22-10-2019 20:25:51

edmondo
Innamorato del forum
Registrato: 14-08-2012
Messaggi: 808

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

Ciao i pacchetti sono giusti non hanno subito varianti nel passaggio di versione , difatti se controlli con un :

#dnf info nome pacchetto vedrai che corrisponde a quelli che hai 

un consiglio io togliere adblockplus (pesantissimo) è installerei , se usi firefox :

mozilla-ublock-origin

molto più leggero è migliore. smile lo provai tempo indietro su consiglio di @frafra è sono rimasto contento. smile per scaramanzia posta anche:

rpm -qa | grep fc28

che controlliamo che pacchetto sia. smile

Ultima modifica di edmondo (22-10-2019 20:29:22)


{Fedora 16/17/18/19/20/21/22/23/24/25/26/27/28/29/30/31 gnome x86_64}

Non in linea

#5 23-10-2019 09:34:27

skiava
Fedora nel sangue
Da Bari
Registrato: 23-05-2007
Messaggi: 1'946

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

Ciao i pacchetti sono giusti non hanno subito varianti nel passaggio di versione

quindi, da quello che ho capito, i pacchetti della versione precedente (29) possono rimanere e non creano problemi alla versione successiva?

Di seguito,invece, il responso di:

[[email protected] yum.repos.d]$ rpm -qa | grep fc28
giblib-1.2.4-28.fc28.x86_64
[[email protected] yum.repos.d]$ 

Ti ringrazio per il consiglio riguardo uBlock-Origin che ho installato e successivamente ho rimosso quello vecchio (adblockplus).

Ultima modifica di skiava (23-10-2019 12:07:00)


L I N U X - coming soon on every computer!!

Non in linea

#6 23-10-2019 17:48:51

edmondo
Innamorato del forum
Registrato: 14-08-2012
Messaggi: 808

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

In pratica si , pure io ho dei pacchetti che riguardano fedora 29 , è non ho fatto un upgrade , se poi vuoi approfondire se hai qualche pacchetto orfano dai :

package-cleanup --orphans 

è posta il risultato per essere sicuri , magari hai qualche programma che richiede la libreria , per esempio della fedora 27 smile

Ultima modifica di edmondo (23-10-2019 17:49:35)


{Fedora 16/17/18/19/20/21/22/23/24/25/26/27/28/29/30/31 gnome x86_64}

Non in linea

#7 24-10-2019 07:51:02

skiava
Fedora nel sangue
Da Bari
Registrato: 23-05-2007
Messaggi: 1'946

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

Ciao, mi restituisce "comando non trovato".....di seguito il responso di:

[[email protected] /]# package-cleanup --orphans 
bash: package-cleanup: comando non trovato...
I pacchetti che forniscono questo file sono:
'yum-utils'
'dnf-utils'
[[email protected] /]# dnf-utils
bash: dnf-utils: comando non trovato...
[[email protected] /]# yum-utils
bash: yum-utils: comando non trovato...
[[email protected] /]# 

Ultima modifica di skiava (24-10-2019 07:53:11)


L I N U X - coming soon on every computer!!

Non in linea

#8 24-10-2019 13:39:22

andreamal
Fedora nel sangue
Da Roma
Registrato: 16-12-2009
Messaggi: 1'698

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

Probabilmente basta installarlo:

# dnf install dnf-utils

Ciao
Andrea Malfatti

Non in linea

#9 24-10-2019 15:41:40

skiava
Fedora nel sangue
Da Bari
Registrato: 23-05-2007
Messaggi: 1'946

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

Ciao, riporto di seguito l'output di:

[[email protected] /]# dnf install dnf-utils
Copr repo for papirus-icon-theme owned by dirkdavidis       5.6 kB/s | 3.3 kB     00:00    
Fedora Modular 30 - x86_64                                   37 kB/s |  23 kB     00:00    
Fedora Modular 30 - x86_64 - Updates                         44 kB/s |  22 kB     00:00    
Fedora 30 - x86_64 - Updates                                 28 kB/s |  22 kB     00:00    
Fedora 30 - x86_64                                          137 kB/s |  23 kB     00:00    
Opera packages                                              9.8 kB/s | 2.9 kB     00:00    
RPM Fusion for Fedora 30 - Free - Updates                    35 kB/s | 9.6 kB     00:00    
RPM Fusion for Fedora 30 - Free                              23 kB/s |  10 kB     00:00    
RPM Fusion for Fedora 30 - Nonfree - Updates                 55 kB/s | 9.8 kB     00:00    
RPM Fusion for Fedora 30 - Nonfree                           47 kB/s |  11 kB     00:00    
Dipendenze risolte.
============================================================================================
 Package              Architecture      Version                    Repository          Size
============================================================================================
Installing:
 dnf-utils            noarch            4.0.10-1.fc30              updates             34 k

Riepilogo della transazione
============================================================================================
Installati  1 pacchetto

Dimensione totale dello scaricamento: 34 k
Dimensione installata: 19 k
Procedere [s/N]: s
Scaricamento dei pacchetti:
dnf-utils-4.0.10-1.fc30.noarch.rpm                          297 kB/s |  34 kB     00:00    
--------------------------------------------------------------------------------------------
Totale                                                       51 kB/s |  34 kB     00:00     
Esecuzione del controllo di transazione
Controllo di transazione eseguito con successo.
Test di transazione in corso
Test di transazione eseguito con successo
Transazione in corso
  Preparazione in corso        :                                                        1/1 
  Installing                   : dnf-utils-4.0.10-1.fc30.noarch                         1/1 
  Esecuzione scriptlet in corso: dnf-utils-4.0.10-1.fc30.noarch                         1/1 
  Verifica in corso            : dnf-utils-4.0.10-1.fc30.noarch                         1/1 

Installati:
  dnf-utils-4.0.10-1.fc30.noarch                                                            

Fatto!
[[email protected] /]# dnf clean all
71 file rimossi
[[email protected] /]# package-cleanup --orphans 
Copr repo for papirus-icon-theme owned by dirkdavidis       235 kB/s | 456 kB     00:01    
Fedora Modular 30 - x86_64                                  3.0 MB/s | 2.7 MB     00:00    
Fedora Modular 30 - x86_64 - Updates                        2.8 MB/s | 3.3 MB     00:01    
Fedora 30 - x86_64 - Updates                                7.2 MB/s |  21 MB     00:02    
Fedora 30 - x86_64                                          8.1 MB/s |  70 MB     00:08    
Opera packages                                               30 kB/s |  11 kB     00:00    
RPM Fusion for Fedora 30 - Free - Updates                   451 kB/s | 374 kB     00:00    
RPM Fusion for Fedora 30 - Free                             702 kB/s | 735 kB     00:01    
RPM Fusion for Fedora 30 - Nonfree - Updates                117 kB/s |  70 kB     00:00    
RPM Fusion for Fedora 30 - Nonfree                           79 kB/s | 227 kB     00:02    
beignet-0:1.3.2-5.fc29.x86_64
flash-plugin-0:32.0.0.255-release.x86_64
pyPdf-0:1.13-16.fc29.noarch
tabish-eeyek-fonts-0:1.0-13.fc29.noarch
[[email protected] /]# 

come su descritto questi sono i pacchetti orfani:

beignet-0:1.3.2-5.fc29.x86_64
flash-plugin-0:32.0.0.255-release.x86_64
pyPdf-0:1.13-16.fc29.noarch
tabish-eeyek-fonts-0:1.0-13.fc29.noarch

come dovrei procedere?

Ultima modifica di skiava (24-10-2019 15:44:17)


L I N U X - coming soon on every computer!!

Non in linea

#10 24-10-2019 18:08:41

edmondo
Innamorato del forum
Registrato: 14-08-2012
Messaggi: 808

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

Ciao non toglierli che ti servono. smile A parer mio non hai nessun problema , li vede come orfani ma non lo sono. smile


{Fedora 16/17/18/19/20/21/22/23/24/25/26/27/28/29/30/31 gnome x86_64}

Non in linea

#11 25-10-2019 08:28:31

skiava
Fedora nel sangue
Da Bari
Registrato: 23-05-2007
Messaggi: 1'946

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

ok e grazie a tutti per avermi seguito, quindi posso mettere il post come risolto.

Ultima modifica di skiava (25-10-2019 08:29:20)


L I N U X - coming soon on every computer!!

Non in linea

#12 25-10-2019 17:39:48

edmondo
Innamorato del forum
Registrato: 14-08-2012
Messaggi: 808

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

Certo. smile
p.s : ringrazio @andreamal per essere intervenuto , sinceramente davo per scontato che era installato il pacchetto , dnf-utils , mannaggia alla vecchiaia . big_smile

Ultima modifica di edmondo (25-10-2019 22:48:02)


{Fedora 16/17/18/19/20/21/22/23/24/25/26/27/28/29/30/31 gnome x86_64}

Non in linea

#13 28-10-2019 08:58:20

skiava
Fedora nel sangue
Da Bari
Registrato: 23-05-2007
Messaggi: 1'946

Re: [risolto] pacchetti obsoleti di versioni precedenti di Fedora

ehhhh la vecchiaia.....una brutta bestia  smile


L I N U X - coming soon on every computer!!

Non in linea

Piè di pagina